// Our Wrapper around the whole site
#page-wrapper {
    @include clearfix();
    border:             0px solid;
    position:           relative;
    box-shadow:         0px, 0px, 10px, 0px, rgba(100, 100, 100, 0.2);
    background-color:               $color-white;
	@include media-query(lap-and-up) { 
        width:          $pageWidthDesk;
        //min-width:      $pageWidthDesk; //min-content;
        max-width:      100vw;
        margin:         0 auto;
        margin-bottom:  6em; // space for sticky elements. ToDo: This global definition is not so good
    }
    @media print {
         width:         auto;
         box-shadow:    none;
    }
    &.handheld {
        // Maximize page: No outer margins. Max height. Max width. (ZMS handheld pickup)
        max-width:          100vw; // (full width layouts for handhelds)
        min-width:          auto;
        min-height:         100vh; // (full height layouts for handhelds)
        display:            flex;
        flex-direction:     column;
        justify-content:    space-between;
        margin-bottom:      0; // remove sticky buttons space
        background-color:   $color-white;
        &:after {
            content:        none;
        }
        #content-wrapper {
            flex-grow:      1;
            @include getRem('padding-bottom', $mediumGapPx);
        }
    }
    .page-version {
        /* Show a small versionnumber inside the page footer on the right bottom side */
        text-align:             right;
        font-size:              $smallest-font-size;
        color:                  lighten($color-text-lightest,30%);
        position:               absolute;
        bottom:                 -1.5em;
        right:                  0;
        a {
            color:              lighten($color-text-lightest,30%);
            text-decoration:    none;
        }
    }
}
